org.eclipse.microprofile.openapi.apps.petstore.model

## Class Pet

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.model.Pet

Direct Known Subclasses:
  Cat, Dog, Lizard

    public class Pet
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Pet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Category` `getCategory()`
`long` `getId()`
`String` `getName()`
`List<String>` `getPhotoUrls()`
`String` `getStatus()`
`List<Tag>` `getTags()`
`void` `setCategory(Category category)`
`void` `setId(long id)`
`void` `setName(String name)`
`void` `setPhotoUrls(List<String> photoUrls)`
`void` `setStatus(String status)`
`void` `setTags(List<Tag> tags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pet

    public Pet()

### Method Detail

#### getId

    public long getId()

#### setId

    public void setId(long id)

#### getCategory

    public Category getCategory()

#### setCategory

    public void setCategory(Category category)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getPhotoUrls

    public List<String> getPhotoUrls()

#### setPhotoUrls

    public void setPhotoUrls(List<String> photoUrls)

#### getTags

    public List<Tag> getTags()

#### setTags

    public void setTags(List<Tag> tags)

#### getStatus

    public String getStatus()

#### setStatus

    public void setStatus(String status)